package com.uas.platform.b2b.mobile.service;

import java.util.List;

import org.springframework.ui.ModelMap;

import com.uas.platform.b2b.mobile.model.VisitRecord;

public interface WorkScheduleService {

	/**
	 * 获取工作日程
	 * 
	 * @param emcode
	 * @param enuu
	 * @return
	 */
	public ModelMap getWorkSchedule(Long emcode, Long enuu, String date);

	/**
	 * 保存拜访记录
	 * 
	 * @param visitRecord
	 * @return
	 */
	public ModelMap saveVisitRecord(VisitRecord visitRecord);
	
	/**
	 * 查找一个月以内的拜访记录
	 * 
	 * @return
	 */
	public List<VisitRecord> getRecordsInOneMonth(Long emuu, Long enuu, String date);

	/**
	 * 查询一个以内的拜访记录（下属）
	 * 
	 * @param enuu
	 * @param date
	 * @return
	 */
	public List<VisitRecord> getRecordsInOneMonth(Long enuu, String date);
}
